# Class CommonSteps

java.lang.Object
org.eclipse.core.databinding.bind.steps.CommonSteps

public final class CommonSteps extends Object
Contains `Step` interfaces for the fluent databinding API that are common for both `IObservableValue`, `IObservableList` and `IObservableSet` bindings. Each of these interfaces define the operations that are allowed in a particular pipeline step.

Since:
  1.11
Restriction:

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`CommonSteps.BindConfigStep<F, T, THIS extends CommonSteps.BindConfigStep<F,T,THIS>>`
The last step in the binding pipeline, where the `CommonSteps.BindConfigStep.bind(DataBindingContext)` method is accessible.
`static interface`
`CommonSteps.ConvertFromStep<F,T>`
Step for setting the to-from converter.
`static interface`
`CommonSteps.ConvertToStep<F>`
Step for converting between from- and to-types.
`static interface`
`CommonSteps.DirectionStep<SELF extends CommonSteps.DirectionStep<SELF>>`
Step for setting the direction of the binding.
`static interface`
`CommonSteps.OneWayConfigAndFromStep<SELF extends CommonSteps.OneWayConfigAndFromStep<SELF>>`
Step for settings the from-end observable of one-way-bindings.
`static interface`
`CommonSteps.ReadConfigStep<F, T, THIS extends CommonSteps.ReadConfigStep<F,T,THIS>>`
`static interface`
`CommonSteps.TwoWayConfigAndFromStep<SELF extends CommonSteps.TwoWayConfigAndFromStep<SELF>>`
Step for settings the from-end observable of two-way-bindings.
`static interface`
`CommonSteps.WriteConfigStep<F, T, THIS extends CommonSteps.WriteConfigStep<F,T,THIS>>`
Step for updating the configuration for an observable that is being written to.

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`